Skip to main content
POST
/
availability
cURL
curl --request POST \
  --url https://api.example.com/availability \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "name": "<string>",
  "timezone": "<string>",
  "exceptions": [
    {
      "available": true,
      "start": "<string>",
      "end": "<string>",
      "availabilityId": "<string>",
      "title": "<string>",
      "note": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/availability"

payload = {
"name": "<string>",
"timezone": "<string>",
"exceptions": [
{
"available": True,
"start": "<string>",
"end": "<string>",
"availabilityId": "<string>",
"title": "<string>",
"note": "<string>"
}
]
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
exceptions: [
{
available: true,
start: '<string>',
end: '<string>',
availabilityId: '<string>',
title: '<string>',
note: '<string>'
}
]
})
};

fetch('https://api.example.com/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "schedule": {
    "monday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "tuesday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "wednesday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "thursday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "friday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "saturday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    },
    "sunday": {
      "enabled": true,
      "hours": [
        {
          "start": "<string>",
          "end": "<string>"
        }
      ]
    }
  },
  "timezone": "<string>",
  "availabilityExceptions": [
    {
      "ownerId": "<string>",
      "available": true,
      "start": "<string>",
      "end": "<string>",
      "createdAt": "<string>",
      "id": 123,
      "title": "<string>",
      "note": "<string>",
      "deletedAt": "<string>"
    }
  ],
  "isDefault": true,
  "createdAt": "<string>",
  "deletedAt": "<string>",
  "useExplicitAvailability": true,
  "explicitAvailabilityEventTitle": "<string>"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Query Parameters

userId
string

Body

application/json
name
string
required
timezone
string
required
schedule
object

Weekly recurring schedule. If omitted, defaults to all days disabled (useful for exceptions-only availability).

exceptions
object[]

Availability exceptions for specific datetime ranges.

Response

201 - application/json
id
string
required
name
string
required
schedule
object
required
timezone
string
required
availabilityExceptions
object[]
required
isDefault
boolean
required
createdAt
string
required
deletedAt
string
useExplicitAvailability
boolean

When enabled, only calendar events with the specified title will be used as available slots.

explicitAvailabilityEventTitle
string | null

The calendar event title to look for when useExplicitAvailability is enabled.